import { KNativePointer } from "../../src/reexport-for-generated";
import { Es2pandaAstNodeType } from "./../Es2pandaEnums";
import { TypeNode } from "./TypeNode";
export declare class ETSTuple extends TypeNode {
    constructor(pointer: KNativePointer, astNodeType: Es2pandaAstNodeType);
    static createETSTuple(): ETSTuple;
    static updateETSTuple(original?: ETSTuple): ETSTuple;
    static create1ETSTuple(size: number): ETSTuple;
    static update1ETSTuple(original: ETSTuple | undefined, size: number): ETSTuple;
    static create2ETSTuple(typeList: readonly TypeNode[]): ETSTuple;
    static update2ETSTuple(original: ETSTuple | undefined, typeList: readonly TypeNode[]): ETSTuple;
    get tupleSize(): number;
    get tupleTypeAnnotationsList(): readonly TypeNode[];
    /** @deprecated */
    setTypeAnnotationsList(typeNodeList: readonly TypeNode[]): this;
    protected readonly brandETSTuple: undefined;
}
export declare function isETSTuple(node: object | undefined): node is ETSTuple;
